function [x] = fSQ(a, b, c, x0)
%This function solves the equation a*x^2+b*x+c = 0, 
%for several values of a, b, and c, using function fzero. 
s = 'a*x^2+b*x+c';
s = strrep(s,'a',num2str(a)); % replace value of a in s
s = strrep(s,'b',num2str(b)); % replace value of b in s
s = strrep(s,'c',num2str(c)); % replace value of c in s
ff = inline(s,'x');           % define local inline function
x  = fzero(ff,x0);            % invoke 'fzero' to solve *ff(x)=0'
